%define major		0
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d

Name:		opusfile
Version:	0.12
%define subrel	1
Release:	%mkrel 1
Summary:	A high-level API for decoding and seeking within .opus files
Group:		System/Libraries
License:	BSD
URL:		http://www.opus-codec.org/
Source0:	http://downloads.xiph.org/releases/opus/%{name}-%{version}.tar.gz
Patch1:		CVE-2022-47021.patch

BuildRequires:	pkgconfig(ogg) >= 1.3
BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(opus) >= 1.0.1

%description
libopusfile provides a high-level API for decoding and seeking
within .opus files. It includes:
* Support for all files with at least one Opus stream (including
multichannel files or Ogg files where Opus is muxed with something else).
* Full support, including seeking, for chained files.
* A simple stereo downmixing API (allowing chained files to be
decoded with a single output format, even if the channel count changes).
* Support for reading from a file, memory buffer, or over HTTP(S)
(including seeking).
* Support for both random access and streaming data sources.

%package -n	%{libname}
Summary:	A high-level API for decoding and seeking within .opus files
Group:		System/Libraries

%description -n	%{libname}
libopusfile provides a high-level API for decoding and seeking
within .opus files. It includes:
* Support for all files with at least one Opus stream (including
multichannel files or Ogg files where Opus is muxed with something else).
* Full support, including seeking, for chained files.
* A simple stereo downmixing API (allowing chained files to be
decoded with a single output format, even if the channel count changes).
* Support for reading from a file, memory buffer, or over HTTP(S)
(including seeking).
* Support for both random access and streaming data sources.

%package -n	%{develname}
Summary:	Development package for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{develname}
Files for development with %{name}.

%prep
%autosetup -p1

%build
%configure --disable-static
%make_build

%install
%make_install

#Remove libtool archives.
find %{buildroot} -name '*.la' -delete

%files -n %{libname}
%doc COPYING AUTHORS
%{_libdir}/libopus*.so.%{major}{,.*}

%files -n %{develname}
%doc %{_docdir}/%{name}
%{_includedir}/opus/opusfile*
%{_libdir}/pkgconfig/*.pc
%{_libdir}/libopus*.so


%changelog
* Sat Feb 04 2023 daviddavid <daviddavid> 0.12-1.1.mga8
+ Revision: 1938213
- add upstream fix for CVE-2022-47021 (mga#31505)

* Sun Jun 28 2020 daviddavid <daviddavid> 0.12-1.mga8
+ Revision: 1600151
- new version: 0.12

* Fri Feb 14 2020 umeabot <umeabot> 0.11-2.mga8
+ Revision: 1519838
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Mon Oct 22 2018 daviddavid <daviddavid> 0.11-1.mga7
+ Revision: 1323520
- new version: 0.11

* Sun Sep 23 2018 umeabot <umeabot> 0.10-2.mga7
+ Revision: 1300056
- Mageia 7 Mass Rebuild

* Sat Dec 30 2017 akien <akien> 0.10-1.mga7
+ Revision: 1187749
- Version 0.10

* Sat Aug 26 2017 akien <akien> 0.9-1.mga7
+ Revision: 1148012
- Version 0.9

* Mon Jul 17 2017 akien <akien> 0.8-1.mga7
+ Revision: 1124245
- Version 0.8

* Thu Mar 03 2016 umeabot <umeabot> 0.7-2.mga6
+ Revision: 983880
- Rebuild for openssl

* Thu Jan 14 2016 daviddavid <daviddavid> 0.7-1.mga6
+ Revision: 923073
- new version: 0.7

* Wed Oct 15 2014 umeabot <umeabot> 0.6-3.mga5
+ Revision: 743324
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.6-2.mga5
+ Revision: 683269
- Mageia 5 Mass Rebuild

* Thu Aug 07 2014 fwang <fwang> 0.6-1.mga5
+ Revision: 660774
- 0.6

* Thu Feb 06 2014 fwang <fwang> 0.5-1.mga5
+ Revision: 584183
- new version 0.5

* Sat Oct 19 2013 umeabot <umeabot> 0.4-2.mga4
+ Revision: 533957
- Mageia 4 Mass Rebuild

* Sun Sep 08 2013 fwang <fwang> 0.4-1.mga4
+ Revision: 475862
- update file list
- new version 0.4

* Sun Jul 21 2013 fwang <fwang> 0.2-1.mga4
+ Revision: 456745
- convert to mageia style
- imported package opusfile


* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Nov 14 2012 Peter Robinson <pbrobinson@fedoraproject.org> 0.2-1
- Update to 0.2

* Sun Nov  4 2012 Peter Robinson <pbrobinson@fedoraproject.org> 0.1-1
- Initial package
